Bug 1981090 - [IPI baremetal] 'Failed to get the sockets from the old process' error is reported in haproxy logs following haproxy reload
Summary: [IPI baremetal] 'Failed to get the sockets from the old process' error is rep...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Bob Fournier
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On:
Blocks: 1985735
TreeView+ depends on / blocked
 
Reported: 2021-07-11 11:51 UTC by Yossi Boaron
Modified: 2021-10-27 02:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-27 02:27:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2673 0 None Merged Bug 1981090: [ON-PREM] HAProxy - enable listening sockets retrieval from old processes 2021-11-02 23:35:42 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-27 02:27:06 UTC

Description Yossi Boaron 2021-07-11 11:51:48 UTC
Description of problem:

[1] error is reported in haproxy container logs following haproxy reload.


Version-Release number of selected component (if applicable):
OCP 4.9

How reproducible:


Steps to Reproduce:
1.Deploy OCP 4.9 IPI-Baremetal

2.Ssh into one of the masters and trigger haproxy reload.
The next commands could be used to force haproxy reload:
* sudo rm -f /etc/haproxy/haproxy.cfg
* sudo crictl rm -f <haproxy-monitor container id>
3.Check haproxy container logs

Actual results:
[1] error is reported in haproxy logs

Expected results:
No error should be reported 


[1]
[WARNING]  (40) : Failed to connect to the old process socket '/var/lib/haproxy/run/haproxy.sock'
[NOTICE]   (40) : haproxy version is 2.4.1-1ce7d49
[NOTICE]   (40) : path to executable is /usr/sbin/haproxy
[ALERT]    (40) : Failed to get the sockets from the old process!

Comment 5 errata-xmlrpc 2021-10-27 02:27:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.